@import "../../styles/util.mixins.scss", "../../styles/setting.fonts.scss",
  "../../styles/setting.colors.scss";

.site-header {
  background-color: white;
  position: relative;
  z-index: 99;
  max-width: 100%;

  .site-header-wrap.is-sticky & {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;

    @media screen and (max-width: 990px) {
      position: relative;
      top: 0;
    }

    .admin-bar & {
      top: 32px;

      @media screen and (max-width: 990px) {
        position: relative;
        top: 0;
      }
    }
  }

  &.sticky-enabled {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;

    @media screen and (max-width: 990px) {
      position: relative;
    }
  }

  .container,
  .container-fluid {
    display: flex;
    flex-wrap: wrap;

    .no-flexbox & {
      display: table;
      width: 100%;
    }
  }

  &--type-2 {
    .menu-main-toggle {
      @media screen and (min-width: 991px) {
        display: none;
      }
    }
  }
}

.hdr-widget {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  padding: 30px 20px;
  position: relative;

  &--site-logo {
    padding-right: 20px;
    padding-left: 0;
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;

    @media screen and (max-width: 768px) {
      padding-right: 15px;
      &:after {
        display: none;
      }
    }

    @media screen and (max-width: 600px) {
      max-width: 100%;
      padding-right: 0;
    }

    .site-logo {
      margin: 0;
      font-weight: 300;
      font-size: 24px;
      line-height: 1;
    }

    .site-description {
      @include em(12);
      margin-top: 5px;
      display: block;
      line-height: normal;
      color: $detail-color;
    }

    a,
    img {
      display: block;
    }

    a {
      text-decoration: none;
      color: black;
      background-color: white;
      position: relative;
      color: $accent-color-2;

      strong {
        font-weight: 500;
      }
      span {
        color: $accent-color-1;
      }
    }
  }

  &--product-search {
    flex: 1 0 auto;
    display: flex;

    form {
      width: 100%;
      display: flex;
      align-items: center;
      margin-bottom: 0;
    }

    @media screen and (max-width: 640px) {
      display: none !important;
    }

    select {
      border: none;
    }

    .product-search-category {
      position: relative;
      padding-right: 20px;
      max-width: 210px;

      select {
        background-image: none;
      }

      @media screen and (max-width: 1024px) {
        display: none;
      }
      .fa {
        position: absolute;
        right: 20px;
        top: 0;
        bottom: 0;
        margin: auto;
        height: 14px;
        pointer-events: none;
      }

      :hover {
        cursor: pointer;
      }
    }

    &.search-dropdown {
      flex: 0;

      .search-dropdown-toggle {
        border: none;
        background-color: transparent;
        font-size: 18px;
      }
      form {
        position: absolute;
        top: 100%;
        background-color: white;
        right: 0;
        width: 300px;
        padding: 15px;
        box-shadow: 0 10px 30px -3px rgba(0, 0, 0, 0.2);
        visibility: hidden;
        pointer-events: none;
        transform: translateX(30px);
        transition: 0.3s ease;
        opacity: 0;
        border: 1px solid #e3e3e3;

        &:before,
        &:after {
          content: " ";
          width: 0;
          height: 0;
          border-style: solid;
          border-width: 10px;
          position: absolute;
          bottom: 100%;
          right: 30px;
        }
        &:before {
          border-color: transparent transparent white;
          z-index: 1;
        }
        &:after {
          border-width: 12px;
          right: 28px;
          border-color: transparent transparent #e3e3e3;
        }
        input {
          border: 1px solid #e3e3e3;
          padding: 5px;
        }
        label,
        .product-search-category,
        .line {
          display: none;
        }
        .search-icon {
          top: 10px;
          right: 10px;
        }
      }
      &:hover form {
        transform: translateX(0);
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
      }
    }
  }

  &--menu-user {
    display: flex;
    align-items: center;

    @media screen and (max-width: 1024px) {
      margin-left: auto;
    }

    @media screen and (max-width: 990px) {
      display: none !important;
    }

    .menu-user-avatar {
      border: none;
      background-color: transparent;
      padding: 0;
      img {
        border-radius: 50%;
        width: 30px;
        height: 30px;
      }
      span {
        display: none;
      }
    }

    &:hover .menu-user-wrap {
      opacity: 1;
      transform: translateY(0);
      pointer-events: auto;
      z-index: 1;
    }

    .menu-user-wrap {
      position: absolute;
      top: 100%;
      right: 0;
      list-style: none;
      padding-left: 0;
      border: 1px solid #e3e3e3;
      padding: 10px 0;
      border-radius: 3px;
      background-color: white;
      margin: 0;
      min-width: 200px;
      transform: translateY(30px);
      pointer-events: none;
      opacity: 0;
      z-index: -1;
      transition: 0.3s ease;

      &:before {
        content: " ";
        width: 0;
        border-style: solid;
        border-width: 10px;
        border-color: transparent transparent white;
        position: absolute;
        bottom: 100%;
        right: 35px;
        filter: drop-shadow(0 -1px 0 #e3e3e3);
      }

      .menu {
        list-style: none;
        padding: 0;
        margin: 0;

        &-item {
          white-space: nowrap;

          .fa {
            display: inline-block;
            margin-right: 10px;
            vertical-align: middle;
          }

          a {
            padding: 10px 20px;
            text-decoration: none;
            display: block;
            color: inherit;
            position: relative;
            z-index: 1;
            transition: 0.3s ease;

            &:after {
              content: " ";
              width: 100%;
              height: 100%;
              position: absolute;
              left: 0;
              top: 0;
              z-index: -1;
              background-image: linear-gradient(
                90deg,
                $accent-color-2,
                $accent-color-1
              );
              opacity: 0;
              transition: 0.3s ease;
            }
          }

          &:hover > a {
            color: white;
            &:after {
              opacity: 1;
            }
          }
        }
      }
    }
  }

  &--menu-cart {
    @media screen and (max-width: 1024px) {
      padding: 0 20px;
    }
    @media screen and (max-width: 768px) {
      margin-left: auto;
      padding: 0;
      padding-left: 15px;
    }
    @media screen and (max-width: 480px) {
      position: static;
    }
    .menu-cart-trigger {
      border: none;
      background-color: transparent;
      font-size: inherit;
      color: $accent-color-2;

      .cart-count {
        font-size: 11px;
        position: relative;
        top: -5px;
        font-weight: 700;
        margin-left: -5px;
        background-color: $accent-color-1;
        color: white !important;
        border-radius: 10px;
        padding: 2px 5px;
      }
    }

    &:hover .widget_shopping_cart {
      opacity: 1 !important;
      pointer-events: auto;
      transform: translateY(0);
      visibility: visible;
    }

    .widget_shopping_cart {
      position: absolute;
      top: 100%;
      right: 0;
      background-color: white;
      width: 400px;
      padding: 50px;
      box-shadow: 0 10px 20px -5px rgba(0, 0, 0, 0.2);
      transform: translateY(40px);
      transition: 0.3s ease;
      opacity: 0 !important;
      pointer-events: none;
      visibility: hidden;
      border: 1px solid #e3e3e3;

      &:before,
      &:after {
        content: " ";
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 10px;
        position: absolute;
        bottom: 100%;
        right: 30px;
      }
      &:before {
        border-color: transparent transparent white;
        z-index: 1;
      }
      &:after {
        border-width: 12px;
        right: 28px;
        border-color: transparent transparent #e3e3e3;
      }

      @media screen and (max-width: 480px) {
        padding: 30px;
        left: 0;
        width: auto;
      }
      .cart_list.product_list_widget {
        max-height: 300px;
      }
      @media screen and (max-height: 1024px) {
        .cart_list.product_list_widget {
          max-height: 250px;
          overflow: auto;
        }
      }
    }
  }
}

.hdr-widget:not(:last-child):after {
  content: " ";
  width: 1px;
  height: 30px;
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto;
  background-color: rgba(0, 0, 0, 0.1);
}

.hdr-widget:first-child:after {
  width: 0;
}

.menu-main-wrapper .user-info {
  font-weight: bold;
  padding: 10px 20px;
}
